package de.intevation.flys.artifacts.model;

import de.intevation.artifactdatabase.state.Facet;
import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class HistoricalDischargeWQFacet extends DataFacet {

    private double value;

    public HistoricalDischargeWQFacet() {
    }

    public HistoricalDischargeWQFacet(String name, String desc, double value) {
        super(name, desc);
        this.value = value;
    }

    @Override
    public Facet deepCopy() {
        HistoricalDischargeWQFacet copy = new HistoricalDischargeWQFacet();
        copy.set(this);
        copy.value = value;
        return copy;
    }

    @Override
    public Object getData(Artifact artifact, CallContext context) {
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
